"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = require("url");
const utils_1 = require("./utils");
describe('utils', () => {
    describe('pathToUrlString', () => {
        it('encode relative path like `pathToFileURL`', () => {
            const baseURL = (0, url_1.pathToFileURL)('').toString();
            for (let i = 0; i < 128; i++) {
                const char = String.fromCharCode(i);
                const filename = `${i}-${char}`;
                expect((0, utils_1.pathToUrlString)(filename)).toEqual((0, url_1.pathToFileURL)(filename)
                    .toString()
                    .slice(baseURL.length + 1));
            }
        });
        it('encode percent encoded string like `pathToFileURL`', () => {
            const baseURL = (0, url_1.pathToFileURL)('').toString();
            for (let i = 0; i < 128; i++) {
                const lowercase = `%${i < 10 ? '0' : ''}${i.toString(16)}`;
                expect((0, utils_1.pathToUrlString)(lowercase)).toEqual((0, url_1.pathToFileURL)(lowercase)
                    .toString()
                    .slice(baseURL.length + 1));
                const uppercase = lowercase.toUpperCase();
                expect((0, utils_1.pathToUrlString)(uppercase)).toEqual((0, url_1.pathToFileURL)(uppercase)
                    .toString()
                    .slice(baseURL.length + 1));
            }
        });
    });
});
//# sourceMappingURL=utils.test.js.map